Resolution: Wont fix   

Description

#3261 supports attachment images in PDF.

Supporting external url images has some considerations.

I attach the patch for this feature.

Related issues:

Related to Redmine - Feature #3261: support attachment images in PDF export Closed 2009-04-29

History

#1 - 2011-11-30 00:18 - Toshi MARUYAMA

- Description updated

#2 - 2011-11-30 00:37 - Toshi MARUYAMA

- Description updated

#3 - 2012-02-12 07:10 - Masamitsu Murase

Hi, Maruyama-san,

I would like to know the detail about "Supporting external url images has some considerations".

What does "some considerations" mean?

For example,

Some servers cannot access to the external servers because of the network configuration.

Servers should not access to the unreliable external resources.

Regards,

Murase

#4 - 2012-02-12 07:35 - Toshi MARUYAMA

My concern is the case that external http server requires Basic Authentication (e.g. Apache .htaccess).

#5 - 2012-02-12 08:49 - Masamitsu Murase

Thank you for your reply.

Regards,

Murase

#6 - 2012-02-12 11:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Being able to make the Redmine server retrieve files from arbitrary urls is unsafe and I prefer that we stay away from that.

#7 - 2012-03-20 16:54 - Dieter Egert

Jean-Philippe Lang wrote:

Being able to make the Redmine server retrieve files from arbitrary urls is unsafe and I prefer that we stay away from that.
 So what about to retrieve files from local server?

I use pictures stored in file repository or other local directories (instead of 'New File') on wiki pages.

E.g. with a link like !/img/pictures.png!   or  !/redmine/projects/common/repository/raw/picture.jpg!

These pictures are also not displayed in pdf exports.

#8 - 2012-09-16 12:59 - yac yac

- Status changed from Closed to Reopened

Dieter Egert wrote:

E.g. with a link like !/img/pictures.png!   or  !/redmine/projects/common/repository/raw/picture.jpg!

These pictures are also not displayed in pdf exports.

 +1

also I dont see an issue with supporting images from external sources. Why dont let the redmine user decide if he want to use it or not?

#9 - 2013-09-28 14:36 - Rachid B

+1

we use graphviz and plantuml quite extensive in redmine wiki. So the PDF-Export is not usable for us. We have to copy and paste every wiki page to

ms-word and printing it to pdf.

It would be much easier, if we the pdf-export could include local images.

#10 - 2021-09-03 06:34 - Bernhard Rohloff

+1 We would like to have the option to include linked images from at least the same domain, for the same reason as Rachid B.

In our scenario we include diagrams from a local plantuml server into the wiki and it's quite unfortunate that we cannot export it to pdf without jumping

hoops.
